import request from '@/utils/request'

// 查询订单异常记录列表
export function listAbnormalRecord(query) {
  return request({
    url: '/order/abnormalRecord/list',
    method: 'get',
    params: query
  })
}

// 查询订单异常记录详细
export function getAbnormalRecord(id) {
  return request({
    url: '/order/abnormalRecord/' + id,
    method: 'get'
  })
}

// 新增订单异常记录
export function addAbnormalRecord(data) {
  return request({
    url: '/order/abnormalRecord',
    method: 'post',
    data: data
  })
}

// 修改订单异常记录
export function updateAbnormalRecord(data) {
  return request({
    url: '/order/abnormalRecord',
    method: 'put',
    data: data
  })
}

// 删除订单异常记录
export function delAbnormalRecord(id) {
  return request({
    url: '/order/abnormalRecord/' + id,
    method: 'delete'
  })
}
